#
# spec file for package perl-capitalization
#
# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild


Name:           perl-capitalization
%define        real_name capitalization
Summary:        No capitalization on method names
Url:            http://search.cpan.org/perldoc?capitalization
Group:          Development/Libraries/Perl
License:        Artistic License
Version:        0.03
Release:        6.1
Source:         %{real_name}-%{version}.tar.gz
BuildRequires:  perl-macros
BuildRequires:  perl-Devel-Symdump
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%{perl_requires}

%description
This perl module allows you to use famliar style on method naming.

Author:
-------
    Tatsuhiko Miyagawa <miyagawa@bulknews.net>


%prep
%setup -n %{real_name}-%{version}

%build
perl Makefile.PL 
make %{?jobs:-j%jobs}

%check
make test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%clean
rm -rf %{buildroot}

%files -f %{name}.files 
%defattr(-, root, root)
%doc Changes MANIFEST

%changelog
* Wed Dec  1 2010 coolo@novell.com
- switch to perl_requires macro
* Sat Dec 26 2009 lars@linux-schulserver.de
- initial version 0.03
